/**
 * This class exists for the purpose of loading and manipulating
 * iamges before displaying them. All OpenCV operations are
 * handled by this class.
 * 
 * Licence: MIT
 * 2024 Matthew McWilliams
 **/

#ifndef IMAGE_h
#define IMAGE_h

#include <opencv2/core.hpp>
#include <opencv2/core/opengl.hpp>
#include <opencv2/imgcodecs.hpp>
#include <opencv2/imgproc/imgproc.hpp>
#include <opencv2/highgui.hpp>

using namespace cv;

class Image {
	private:
		uint16_t width;
		uint16_t height;
		Mat blank;
	public:
		Image(uint16_t w, uint16_t h);
		Mat getBlank();
};

#endif